# DD-CODE web interface
[[_TOC_]]

## Project setup
```
yarn install
```

### Compiles and hot-reloads for development
```
yarn run serve
```

### Compiles and minifies for production
```
yarn run build
```

### Copy all the files under /dist to the web folder
```
cp -R dist/* [your_webserver_root]
```

### Run your tests
```
yarn run test
```

### Lints and fixes files
```
yarn run lint
```

### Customize configuration
* It requires proper settings in ```src/components/js/const.js```.

```bash
export const host = '/api';
export const devHost = '/api';
export const apikey = '<your api key>'
```

References:

* https://github.com/miaolz123/vue-markdown
* Star rating system: https://karol-f.github.io/vue-custom-element/#/demos/events